# [Flutter] oiti_liveness2d

![https://raw.githubusercontent.com/oititec/flutter-liveness3d-bridge/main/Documentation/imgs/OitiHeader.png](https://raw.githubusercontent.com/oititec/flutter-liveness3d-bridge/main/Documentation/imgs/OitiHeader.png)

## 1. Sobre o Repositório

Este repositório é responsável pelo plugin do Liveness 2D da Oiti para flutter, com ele é possível executar a verificação de documentos da [Oititec](https://www.oititec.com.br/) disponíveis para aplicativos híbridos em Flutter.

## 2. O que é o Plugin?

Em Flutter, um plugin é um pacote de software que fornece acesso a recursos nativos de dispositivos permitindo que aplicativos Flutter se comuniquem com sistemas operacionais iOS e Android, adicionando funcionalidades extras e melhorando a experiência do usuário. Eles são escritos em Dart e podem incluir código em linguagens nativas como Kotlin e Swift.

## 3. O que é o Liveness 2D?

O Liveness 2D é um conjunto de ferramentas de análise de risco que processa imagens de documentos de identificação, como RG, CNH, DNI ou CIN. Ele é composto pelas seguintes ferramentas: SmartCap, OCR, FaceMatch e Autenticação de Documentos. Essas ferramentas são utilizadas para validar a autenticidade dos documentos e realizar verificações automatizadas.

## 4. Sumário [Devcenter](https://devcenter.certiface.io/)

- \*[Guia de Instalação Flutter](https://devcenter.certiface.io/docs/guia-de-instalacao-flutter)

\*\*Fornece instruções passo a passo sobre como instalar nosso Plugin e utilizando diferentes produtos móveis, sendo eles: Liveness 3D, Liveness 2D e DocCore.

Com este guia, os desenvolvedores poderão iniciar rapidamente a integração de nossos <glossary:produtos> em seus aplicativos.

- \*[Guia de Uso e Integração Flutter](https://devcenter.certiface.io/docs/guia-de-uso-e-integracao-flutter)

\*\*Esse guia explora as funcionalidades e recursos oferecidos pelo nosso Plugin. Ele oferece exemplos práticos para ajudar os desenvolvedores a utilizar nosso produto de forma eficiente. Encontre as configurações, descrição de parâmetros e chamadas.

- \*[Guia de Tratamento de Retornos Flutter](https://devcenter.certiface.io/docs/guia-de-tratamento-de-retornos-flutter)

\*\*Documentação voltada para os desenvolvedores que desejam entender e trabalhar com as respostas das nossas <glossary:ferramentas>. Ele detalha os diferentes tipos de respostas que nosso produto pode fornecer e explica como interpretar, utilizar e efetuar os tratamentos dos retornos obtidos.

- \*[Guia Customização(Liveness 2D)](https://devcenter.certiface.io/docs/customizacao-doccore-flutter)

\*\*A customização do Liveness 2D permite personalizar as telas e textos exibidos durante o processo de verificação do documento.
